CategoryGraphics (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.categoryplot.plotitem

## Class CategoryGraphics

- java.lang.Object
- - com.twosigma.beakerx.chart.Graphics
  - - com.twosigma.beakerx.chart.categoryplot.plotitem.CategoryGraphics

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    BasedCategoryGraphics, CategoryLines, CategoryPoints

      public abstract class CategoryGraphics
      extends Graphics

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CategoryGraphics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createItemLabels(CategoryPlot plot)`
    `protected java.lang.Number` | `getBase()`
    `protected java.util.List<java.lang.Object>` | `getBases()`
    `boolean` | `getCenterSeries()`
    `Color` | `getColor()`
    `java.util.List<java.lang.Object>` | `getColors()`
    `java.lang.String[][]` | `getItemLabels()`
    `java.util.List<java.lang.String>` | `getSeriesNames()`
    `boolean` | `getShowItemLabel()`
    `java.lang.Boolean` | `getUseToolTip()`
    `java.lang.Number[][]` | `getValue()`
    `void` | `setCenterSeries(boolean centerSeries)`
    `void` | `setColor(Color color)`
    `void` | `setColor(java.awt.Color color)`
    `void` | `setColor(java.util.List<java.lang.Object> colorList)`
    `void` | `setColori(Color color)`
    `void` | `setItemLabel(java.lang.Object itemLabel)`
    `void` | `setSeriesNames(java.util.List<java.lang.String> seriesNames)`
    `void` | `setShowItemLabel(boolean showItemLabel)`
    `void` | `setUseToolTip(boolean useToolTip)`
    `void` | `setValue(java.lang.Object[] value)`

    - ### Methods inherited from class com.twosigma.beakerx.chart.Graphics

      `clone, fireClick, fireOnKey, getClickTag, getKeys, getKeyTags, getUid, getVisible, getyAxis, getYAxis, hasClickAction, onClick, onClick, onKey, onKey, onKey, onKey, setVisible, setyAxis, setYAxis`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CategoryGraphics

          public CategoryGraphics()

  - ### Method Detail

    - #### getBases

          protected java.util.List<java.lang.Object> getBases()

    - #### getBase

          protected java.lang.Number getBase()

    - #### createItemLabels

          public void createItemLabels(CategoryPlot plot)

    - #### getItemLabels

          public java.lang.String[][] getItemLabels()

    - #### setItemLabel

          public void setItemLabel(java.lang.Object itemLabel)

    - #### setColor

          public void setColor(Color color)

    - #### setColor

          public void setColor(java.awt.Color color)

    - #### setColor

          public void setColor(java.util.List<java.lang.Object> colorList)

    - #### getColors

          public java.util.List<java.lang.Object> getColors()

    - #### setColori

          public void setColori(Color color)

      Specified by:
        `setColori` in class `Graphics`

    - #### getColor

          public Color getColor()

      Specified by:
        `getColor` in class `Graphics`

    - #### getValue

          public java.lang.Number[][] getValue()

    - #### setValue

          public void setValue(java.lang.Object[] value)

    - #### getSeriesNames

          public java.util.List<java.lang.String> getSeriesNames()

    - #### setSeriesNames

          public void setSeriesNames(java.util.List<java.lang.String> seriesNames)

    - #### getShowItemLabel

          public boolean getShowItemLabel()

    - #### setShowItemLabel

          public void setShowItemLabel(boolean showItemLabel)

    - #### getCenterSeries

          public boolean getCenterSeries()

    - #### setCenterSeries

          public void setCenterSeries(boolean centerSeries)

    - #### setUseToolTip

          public void setUseToolTip(boolean useToolTip)

    - #### getUseToolTip

          public java.lang.Boolean getUseToolTip()